Description

In the layers list (also called the TOC) there is an icon next to the name of each vector layer indicating whether it is a point, polyline or

polygon layer.  When editing is enabled the icon is replaced by the edit (pencil) icon.  This means that when editing is enabled you can't

tell what type of geometry the layer is, unless you click the plus button to see how it is symbolised.

It would be good to indicate the geometry type even when "editing" is enabled.  One possible solution might be to indicate "editing" with a

separate icon on the far right, as shown in the attached screenshot.

Similarly, it would be good to indicate which layers are labelled, and this could be done in the same way (also shown in screenshot).

It might even be possible to make these icons into buttons, which could be used either to quickly open the symbology and labelling

settings, or to toggle editing and the display of labels on and off.  (I think toggling would be best, because users should do this more

frequently)

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-11-10 05:31 AM - Médéric RIBREUX

- % Done changed from 0 to 50

Hello,

the edit button adds a pen icon over the legend symbol of the layer (tested under QGIS 2.13 master).

There is still nothing for labels...

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
